CREATE TABLE GL_PERIOD_STATUSES_34352911 (
    APPLICATION_ID                   NUMBER(18, 0)    NOT NULL,
    SET_OF_BOOKS_ID                  NUMBER(18, 0)    NOT NULL,
    PERIOD_NAME                      VARCHAR2(60)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    CLOSING_STATUS                   VARCHAR2(4)      NOT NULL,
    START_DATE                       DATE             NOT NULL,
    END_DATE                         DATE             NOT NULL,
    YEAR_START_DATE                  DATE             NOT NULL,
    QUARTER_NUM                      NUMBER(18, 0)    NOT NULL,
    QUARTER_START_DATE               DATE             NOT NULL,
    PERIOD_TYPE                      VARCHAR2(60)     NOT NULL,
    PERIOD_YEAR                      NUMBER(18, 0)    NOT NULL,
    EFFECTIVE_PERIOD_NUM             NUMBER(18, 0)    NOT NULL,
    PERIOD_NUM                       NUMBER(18, 0)    NOT NULL,
    ADJUSTMENT_PERIOD_FLAG           VARCHAR2(4)      NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    ELIMINATION_CONFIRMED_FLAG       VARCHAR2(4)  ,
    CHRONOLOGICAL_SEQ_STATUS_CODE    VARCHAR2(4)  ,
    ATTRIBUTE1                       VARCHAR2(600),
    ATTRIBUTE2                       VARCHAR2(600),
    ATTRIBUTE3                       VARCHAR2(600),
    ATTRIBUTE4                       VARCHAR2(600),
    ATTRIBUTE5                       VARCHAR2(600),
    ATTRIBUTE_DATE1                  DATE         ,
    ATTRIBUTE_DATE2                  DATE         ,
    ATTRIBUTE_DATE3                  DATE         ,
    ATTRIBUTE_DATE4                  DATE         ,
    ATTRIBUTE_DATE5                  DATE         ,
    ATTRIBUTE_NUMBER1                NUMBER       ,
    ATTRIBUTE_NUMBER2                NUMBER       ,
    ATTRIBUTE_NUMBER3                NUMBER       ,
    ATTRIBUTE_NUMBER4                NUMBER       ,
    ATTRIBUTE_NUMBER5                NUMBER       ,
    ATTRIBUTE_CATEGORY               VARCHAR2(600),
    LEDGER_ID                        NUMBER(18, 0)    NOT NULL,
    MIGRATION_STATUS_CODE            VARCHAR2(120),
    TRACK_BC_YTD_FLAG                VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    OPEN_CLOSE_REQUESTED_STATUS      VARCHAR2(120)
);
